<?php
include('../../../.nexcapital.php');
//Define variables
$regex = '/^[A-Za-z0-9\-\\,.]+$/';
$fullnameErr="";
$emailErr="";
$phoneErr="";
$genderErr="";
$addressErr="";
$cityErr="";
$stateErr="";
$zipcodeErr="";
$countryErr="";
$occupationErr="";
$employerErr="";
$addressofempErr="";
$salaryErr="";
$nameofnokErr="";
$addressofnokErr="";
$accounttypeErr="";
$currencyErr="";
$passwordErr="";
$transactionpinErr="";
$dateofbirthErr="";

$fullname="";
$email="";
$phone="";
$dateofbirth="";
$gender="";
$address="";
$city="";
$state="";
$zipcode="";
$country="";
$occupation="";
$nameofemployer="";
$addressofemployer="";
$salary="";
$nameofkin="";
$addressofkin="";
$password="";
$transactionpin="";
$accounttype="";
$currency="";
$account_number="";
$routine_number="";


if($_SERVER["REQUEST_METHOD"] == "POST"){

if(empty($_POST["fullname"])){
$fullnameErr = "Fullname is required";
}
else{
$fullname = test_input($_POST["fullname"]);
//Check if name only contains letters and whitespace
if (!preg_match("/^[a-zA-Z-' ]*$/",$fullname)) {
      $fullnameErr = "Invalid Format";
    }
}

if(empty($_POST["email"])){
$emailErr = "Email is required";
}else{
$email = test_input($_POST["email"]);
//Check if e-mail address is correct
if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
      $emailErr = "Invalid email format";
    }
    
}
$query="SELECT * from registration WHERE email='$email'";
$result=mysqli_query($con,$query);
$rows=mysqli_num_rows($result);
if($rows==1)
{
    $emailErr = "Email already exits!";
	

}

if (empty($_POST["phone"])) {
    $phoneErr = "Phone Number is required";
  } else {
    $phone = test_input($_POST["phone"]);
    /* check if name only contains letters and whitespace */
    if (!preg_match('/^[0-9]{10,15}$/', $phone)) {
      $phoneErr = "10 digit Number"; 
    }
  }
    
    if(empty($_POST["dateofbirth"])){
$dateofbirthErr = "Enter your Date of birth!";
}else{
$dateofbirth = test_input($_POST["dateofbirth"]);
}

if(empty($_POST["gender"])){
$genderErr = "Select your Gender!";
}else{
$gender = test_input($_POST["gender"]);
}



if(empty($_POST["address"])){
$addressErr = "Address is required";
}
else{
$address = test_input($_POST["address"]);
//Check if name only contains letters and whitespace

}

if(empty($_POST["city"])){
$cityErr = "City is required";
}
else{
$city = test_input($_POST["city"]);
//Check if name only contains letters and whitespace
if (!preg_match("/^[a-zA-Z-' ]*$/",$city)) {
      $cityErr = "Invalid Format";
    }
}

if(empty($_POST["state"])){
$stateErr = "State is required";
}
else{
$state = test_input($_POST["state"]);
//Check if name only contains letters and whitespace
if (!preg_match("/^[a-zA-Z-' ]*$/",$state)) {
      $stateErr = "Invalid Format";
    }
}


if(empty($_POST["postalcode"])){
$zipcodeErr = "Zipcode is required";
}else{
$zipcode = test_input($_POST["postalcode"]);
//Check password
if(!preg_match("/^[A-Za-z0-9]{4,15}$/",$zipcode)){
$zipcodeErr = "Invalid Zipcode format!";
}
}


if(empty($_POST["country"])){
$countryErr = "Select your Country!";
}else{
$country = test_input($_POST["country"]);
}


if(empty($_POST["occupation"])){
$occupationErr = "Occupation is required";
}
else{
$occupation = test_input($_POST["occupation"]);
//Check if name only contains letters and whitespace
if (!preg_match("/^[a-zA-Z-' ]*$/",$occupation)) {
      $occupationErr = "Invalid Format";
    }
}


if(empty($_POST["nameofemployer"])){
$employerErr = "Name of Employer is required";
}
else{
$nameofemployer = test_input($_POST["nameofemployer"]);
//Check if name only contains letters and whitespace
if (!preg_match("/^[a-zA-Z-' ]*$/",$nameofemployer)) {
      $employerErr = "Invalid Format";
    }
}



if(empty($_POST["addressofemployer"])){
$addressofempErr = "Name of Employer is required";
}
else{
$addressofemployer = test_input($_POST["addressofemployer"]);
//Check if name only contains letters and whitespace
}


if(empty($_POST["salary"])){
$salaryErr = "Select your Salary!";
}else{
$salary = test_input($_POST["salary"]);
}


if(empty($_POST["nameofkin"])){
$nameofnokErr = "Next of Kin is required";
}
else{
$nameofkin = test_input($_POST["nameofkin"]);
//Check if name only contains letters and whitespace
if (!preg_match("/^[a-zA-Z-' ]*$/",$nameofkin)) {
      $nameofnokErr = "Invalid Format";
    }
}

if(empty($_POST["addressofkin"])){
$addressofnokErr = "Address of Next of Kin is required";
}
else{
$addressofkin = test_input($_POST["addressofkin"]);
//Check if name only contains letters and whitespace
  
}


if(empty($_POST["password"])){
$passwordErr = "Password is required";
}else{
$password = test_input($_POST["password"]);
//Check password
if(!preg_match("/^[A-Za-z0-9@#$%&*;)(]{6,20}$/",$password)){
$passwordErr = "Password should contain only at least 6 characters, Lowercase, Uppercase and Numbers!";
}
}


if(empty($_POST["transactionpin"])){
$transactionpinErr = "Transactionpin is required";
}else{
$transactionpin = test_input($_POST["transactionpin"]);
//Check password
if(!preg_match("/^[0-9]{6}$/",$transactionpin)){
$transactionpinErr = "PIN should contain only 6 Digits!";
}
}



if(empty($_POST["accounttype"])){
$accounttype = "Choose Account Type!";
}else{
$accounttype = test_input($_POST["accounttype"]);
}

if(empty($_POST["currency"])){
$currencyErr = "Select your Currency";
}else{
$currency = test_input($_POST["currency"]);
}

if(empty($_POST["account_number"])){
$account_numberErr = "Account Number";
}else{
$account_number = test_input($_POST["account_number"]);
}

if(empty($_POST["routine_number"])){
$routine_numberErr = "Rountine Number";
}else{
$routine_number = test_input($_POST["routine_number"]);
}



}

function test_input($data){
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data);
    return $data;
}


        


?>